Assets
Undo a bulk tag change
POST
Deletes the links in added and re-creates the links in removed. Links
already in the requested state are skipped. Links in added are deleted
with only asset-access checks (same rule as remove). The call is atomic.
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
application/json- body
added?array<>Links a previous bulk call added; they are deleted.
Items
items <= 1000Default
[]removed?array<>Links a previous bulk call removed; they are re-created.
Items
items <= 1000Default
[]Successful Response
application/json- response
added*array<>Links created by this call (links that already existed are omitted).
removed*array<>Links deleted by this call (links that did not exist are omitted).
tags*array<>The tags that were added, including any newly created ones.
curl -X POST "https://example.com/assets/tags/bulk/revert" \ -H "Content-Type: application/json" \ -d '{}'{ "added": [ { "asset_id": "string", "tag_id": "string" } ], "removed": [ { "asset_id": "string", "tag_id": "string" } ], "tags": [ { "id": "string", "name": "string", "color": "string", "created_by": "string", "created_at": "string", "asset_count": null, "preview_thumbnails": null } ]}